Update the current user profile (Beta)
Update the authenticated user’s profile using top-level JSON fields. Returns the updated profile.
Beta: this API should be considered a beta integration target because it may change if user account settings require changes
PATCH
/
user_profile
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.userProfile.patchAll({
first_name: 'Alex',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.user_profile.patch_all(
first_name="Alex",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.UserProfile.PatchAll(
context.TODO(),
telnyx.UserProfilePatchAllParams{
FirstName: telnyx.String("Alex"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.userProfile.UserProfilePatchAllParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
UserProfilePatchAllParams params = UserProfilePatchAllParams.builder()
.firstName("Alex")
.build();
var response = client.userProfile().patchAll(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.user_profile.patch_all(first_name: "Alex")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->userProfile->patchAll(
first_name: 'Alex',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx user-profile patch-all \
--api-key 'My API Key' \
--first-name Alexcurl --request PATCH \
--url https://api.telnyx.com/v2/user_profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Alex",
"last_name": "Taylor",
"ui_theme": 1
}
'{
"data": {
"record_type": "user_profile",
"id": 12345,
"user_id": "12ade33a-21c0-473b-b055-b3c836e1c292",
"updated_at": "2026-01-15T10:30:00Z",
"first_name": "Alex",
"last_name": "Taylor",
"business_name": "Example Company",
"data_locality": "UAE",
"data_locality_updated_at": "2026-01-15T10:00:00Z",
"data_locality_migration_status": "finished"
}
}{
"errors": [
{
"code": "10027",
"title": "Unprocessable Entity",
"detail": "is not an acceptable value",
"source": {
"pointer": "/data_locality"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10027"
}
}
]
}Authorizations
Body
application/json
Profile fields to update. Omitted fields retain their current values.
Data locality: USA (United States), DEU (Germany), AUS (Australia), UAE (United Arab Emirates), or CAN (Canada). A change is permitted only if data locality has not previously been changed. A successful change sets data_locality_updated_at and initializes data_locality_migration_status to not_started.
Available options:
USA, DEU, AUS, UAE, CAN Example:
"DEU"
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.userProfile.patchAll({
first_name: 'Alex',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.user_profile.patch_all(
first_name="Alex",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.UserProfile.PatchAll(
context.TODO(),
telnyx.UserProfilePatchAllParams{
FirstName: telnyx.String("Alex"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.userProfile.UserProfilePatchAllParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
UserProfilePatchAllParams params = UserProfilePatchAllParams.builder()
.firstName("Alex")
.build();
var response = client.userProfile().patchAll(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.user_profile.patch_all(first_name: "Alex")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->userProfile->patchAll(
first_name: 'Alex',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx user-profile patch-all \
--api-key 'My API Key' \
--first-name Alexcurl --request PATCH \
--url https://api.telnyx.com/v2/user_profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Alex",
"last_name": "Taylor",
"ui_theme": 1
}
'{
"data": {
"record_type": "user_profile",
"id": 12345,
"user_id": "12ade33a-21c0-473b-b055-b3c836e1c292",
"updated_at": "2026-01-15T10:30:00Z",
"first_name": "Alex",
"last_name": "Taylor",
"business_name": "Example Company",
"data_locality": "UAE",
"data_locality_updated_at": "2026-01-15T10:00:00Z",
"data_locality_migration_status": "finished"
}
}{
"errors": [
{
"code": "10027",
"title": "Unprocessable Entity",
"detail": "is not an acceptable value",
"source": {
"pointer": "/data_locality"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10027"
}
}
]
}